Skip to main content
PUT
Update Vehicle

Authorizations

AccessToken
string
header
required

JWT returned as AccessToken by the /authentication endpoint (the Cognito ID token carrying the email claim). It expires after 3600 seconds.

Headers

AccessToken
string
required

Path Parameters

displayId
string
required
transactionId
integer
required
vehicleId
integer
required

Body

application/json
vehicle_id_number
string

VIN (10-17 chars)

year
integer
Example:

2020

make
string
model
string
class
string
value
integer
Example:

45000

body_type
string
deductible
integer

Response

Vehicle updated

status
string
Example:

"success"

vehicle_id
integer
submission_number
string
transaction_id
integer
updated_fields
string[]